## javax.mail.event
Interface ConnectionListener

All Superinterfaces:
  java.util.EventListener

All Known Implementing Classes:
  ConnectionAdapter

    public interface ConnectionListener

extends java.util.EventListener

This is the Listener interface for Connection events.

Method Summary
`void` `closed(ConnectionEvent e)` Invoked when a Store/Folder/Transport is closed.
`void` `disconnected(ConnectionEvent e)` Invoked when a Store is disconnected.
`void` `opened(ConnectionEvent e)` Invoked when a Store/Folder/Transport is opened.

Method Detail

### opened

    void opened(ConnectionEvent e)

  Invoked when a Store/Folder/Transport is opened.

### disconnected

    void disconnected(ConnectionEvent e)

  Invoked when a Store is disconnected. Note that a folder cannot be disconnected, so a folder will not fire this event

### closed

    void closed(ConnectionEvent e)

  Invoked when a Store/Folder/Transport is closed.